#ifndef __tpro_error_codes_h__
#define __tpro_error_codes_h__ 1

#ifndef DLL_EXPORT
#define DLL_EXPORT /* */
#endif

/* WARNING: X Macros!
 *
 * X Macros will help us keep the list of error conditions tightly
 * coupled with meaningful text messages for users.
 */

#define TPRO_ERROR_CODES                                                \
    TPRO_X( TPRO_SUCCESS                    , 0   , "success")          \
    TPRO_X( TPRO_HANDLE_ERR                 , 1   , "error bad handle") \
    TPRO_X( TPRO_OBJECT_ERR                 , 2   , "error creating obj") \
    TPRO_X( TPRO_CLOSE_HANDLE_ERR           , 3   , "err closing device") \
    TPRO_X( TPRO_DEVICE_NOT_OPEN_ERR        , 4   , "device not opened") \
    TPRO_X( TPRO_INVALID_BOARD_TYPE_ERR     , 5   , "invalid device")   \
    TPRO_X( TPRO_FREQ_ERR                   , 6   , "invalid frequency") \
    TPRO_X( TPRO_YEAR_PARM_ERR              , 7   , "invalid year")     \
    TPRO_X( TPRO_DAY_PARM_ERR               , 8   , "invalid day")      \
    TPRO_X( TPRO_HOUR_PARM_ERR              , 9   , "invalid hour")     \
    TPRO_X( TPRO_MIN_PARM_ERR               , 10  , "invalid minutes")  \
    TPRO_X( TPRO_SEC_PARM_ERR               , 11  , "invalid seconds")  \
    TPRO_X( TPRO_DELAY_PARM_ERR             , 12  , "invalid delay")    \
    TPRO_X( TPRO_TIMEOUT_ERR                , 13  , "device timed out") \
    TPRO_X( TPRO_COMM_ERR                   , 14  , "communication error") \
    TPRO_X( TPRO_DEV_BUSY                   , 15  , "device busy ") \
    TPRO_X( TPRO_MATCH_PARM_ERR             , 16  , "invalid match type") \
    TPRO_X( TPRO_NULL_POINTER               , 17  , "NULL pointer")

enum tpro_error_code {
#define TPRO_X(name, value, string) name = value,
    TPRO_ERROR_CODES
#undef TPRO_X

    TPRO_INVALID_ERROR_CODE
};


DLL_EXPORT
const char * tpro_strerror(enum tpro_error_code);

#endif
