
  /**
  ***  determine the board type and emulate legacy
  ***  call if needed
  **/

  tpro_boolean_t bIsTsync;
  CHECK(TPRO_boardIsTsync(hnd, &bIsTsync),
        TPRO_SUCCESS);
  
  if(bIsTsync == TPRO_TRUE)
  {
    TSYNC_TimeObj pObj;
    
    TSYNC_ERROR err = TSYNC_CS_getTime((TSYNC_BoardHandle) hnd, &pObj);
    
    if (err != TSYNC_SUCCESS)
    {
        printf(" *** Error: %s. [%u]\n", tsync_strerror(err), err);
        return TPRO_COMM_ERR;
    }
    
    DATEOBJ_NAME->year  = pObj.years;
    tpro_DOYToDate(pObj.doy, pObj.years, &DATEOBJ_NAME->month, &DATEOBJ_NAME->day);
    
    return (TPRO_SUCCESS);
  }

