
  /**
  ***  determine the board type and emulate legacy
  ***  call if needed
  **/

  tpro_boolean_t bIsTsync;
  CHECK(TPRO_boardIsTsync(hnd, &bIsTsync),
        TPRO_SUCCESS);
  
  if(bIsTsync == TPRO_TRUE)
  {
    TSYNC_FirmwareVersionObj pObj;
    
    TSYNC_ERROR err = TSYNC_LS_getVersion((TSYNC_BoardHandle) hnd, &pObj);
    if (err != TSYNC_SUCCESS)
    {
        printf(" *** Error: %s.\n", tsync_strerror(err));
        return TPRO_COMM_ERR;
    }
    
    memset(firmware, '\0', 5);
    memcpy(firmware, pObj.version, 4);
    firmware[3] = pObj.version[4];
                
    return (TPRO_SUCCESS);
  }
