
  /**
  ***  determine the board type and emulate legacy
  ***  call if needed
  **/

  tpro_boolean_t bIsTsync;
  CHECK(TPRO_boardIsTsync(hnd, &bIsTsync),
        TPRO_SUCCESS);
  
  if(bIsTsync == TPRO_TRUE)
  {
    TSYNC_LLAObj pObj;
    TSYNC_ERROR err = TSYNC_GR_getPosition((TSYNC_BoardHandle) hnd,
                                           TSYNC_DEFAULT_GPS_INSTANCE,
                                           &pObj);
    if (err != TSYNC_SUCCESS)
    {
        printf(" *** Error: %s.\n", tsync_strerror(err));
        return TPRO_COMM_ERR;
    }
    
    pObj.lat = (pObj.lat >= 0) ? pObj.lat * RAD_TO_DEG
                               : 180 - (pObj.lat * RAD_TO_DEG);
    LATOBJ_NAME->degrees = (unsigned short) pObj.lat;
    LATOBJ_NAME->minutes = (float)(60 * (pObj.lat - ((unsigned int) pObj.lat)));
    
    return (TPRO_SUCCESS);
  }
