
  /**
  ***  determine the board type and emulate legacy
  ***  call if needed
  **/

  tpro_boolean_t bIsTsync;
  CHECK(TPRO_boardIsTsync(hnd, &bIsTsync),
        TPRO_SUCCESS);
  
  if(bIsTsync == TPRO_TRUE)
  {
    TSYNC_LLAObj pObj;
    TSYNC_ERROR err = TSYNC_GR_getPosition((TSYNC_BoardHandle) hnd,
                                           TSYNC_DEFAULT_GPS_INSTANCE,
                                           &pObj);
    if (err != TSYNC_SUCCESS)
    {
        printf(" *** Error: %s.\n", tsync_strerror(err));
        return TPRO_COMM_ERR;
    }
        
    pObj.lon = (pObj.lon >= 0) ? pObj.lon * RAD_TO_DEG
                               : 180 - (pObj.lon * RAD_TO_DEG);
    LONGOBJ_NAME->degrees = (unsigned short) pObj.lon;
    LONGOBJ_NAME->minutes = (float)(60 * (pObj.lon - ((unsigned int) pObj.lon)));
    
    return (TPRO_SUCCESS);
  }
