
  /**
  ***  determine the board type and emulate legacy
  ***  call if needed
  **/

  tpro_boolean_t bIsTsync;
  CHECK(TPRO_boardIsTsync(hnd, &bIsTsync),
        TPRO_SUCCESS);

  if(bIsTsync == TPRO_TRUE)
  {
    TSYNC_HWTimeObj pObj;
    TSYNC_ERROR err = TSYNC_HW_getTime((TSYNC_BoardHandle) hnd, &pObj);
    if (err != TSYNC_SUCCESS)
    {
        printf(" *** Error: %s.\n", tsync_strerror(err));
        return TPRO_COMM_ERR;
    }

    Timep->secsDouble = pObj.time.seconds + pObj.time.ns / 1000000000.0;
    Timep->seconds = pObj.time.seconds;
    Timep->minutes = pObj.time.minutes;
    Timep->hours = pObj.time.hours;
    Timep->days = pObj.time.doy;
#ifdef SOLARIS
    Timep->sync = (pObj.bSync) ? 0x4 : 0;
#else
    Timep->flags = (pObj.bSync) ? 0x4 : 0;
#endif

    return (TPRO_SUCCESS);
  }
