
  /**
  ***  determine the board type and emulate legacy
  ***  call if needed
  **/

  tpro_boolean_t bIsTsync;
  CHECK(TPRO_boardIsTsync(hnd, &bIsTsync),
        TPRO_SUCCESS);

  if(bIsTsync == TPRO_TRUE)
  {
    TSYNC_TimeObj pObj;

    pObj.doy = Matchp->days;
    pObj.hours = Matchp->hours;
    pObj.minutes = Matchp->minutes;
    pObj.seconds = (unsigned int)Matchp->seconds;
    pObj.ns = (unsigned int) ((Matchp->seconds -
                               (unsigned int)Matchp->seconds) * 1000000000.0);

    TSYNC_ERROR err = TSYNC_SUCCESS;

    if(Matchp->matchType == MATCH_TIME_START)
    {
        err = (err == TSYNC_SUCCESS) ?
              TSYNC_GO_setMode((TSYNC_BoardHandle) hnd, OD_PIN_1,
                               OD_MODE_MATCH_TIME) : err;
        err = (err == TSYNC_SUCCESS) ?
              TSYNC_GO_setEnable((TSYNC_BoardHandle) hnd, OD_PIN_1, 1) : err;
        err = (err == TSYNC_SUCCESS) ?
              TSYNC_HW_setMatchTimeHi((TSYNC_BoardHandle) hnd, OD_PIN_1,
                                      &pObj) : err;
        err = (err == TSYNC_SUCCESS) ?
              TSYNC_GO_setMatchEnable((TSYNC_BoardHandle) hnd, OD_PIN_1,
                                      LEVEL_HIGH, 1) : err;
    }
    else if(Matchp->matchType == MATCH_TIME_STOP)
    {
        err = (err == TSYNC_SUCCESS) ?
              TSYNC_GO_setMode((TSYNC_BoardHandle) hnd, OD_PIN_1,
                               OD_MODE_MATCH_TIME) : err;
        err = (err == TSYNC_SUCCESS) ?
              TSYNC_GO_setEnable((TSYNC_BoardHandle) hnd, OD_PIN_1, 1) : err;
        err = (err == TSYNC_SUCCESS) ?
              TSYNC_HW_setMatchTimeLo((TSYNC_BoardHandle) hnd, OD_PIN_1,
                                      &pObj) : err;
        err = (err == TSYNC_SUCCESS) ?
              TSYNC_GO_setMatchEnable((TSYNC_BoardHandle) hnd, OD_PIN_1,
                                      LEVEL_LOW, 1) : err;
    }

    if (err != TSYNC_SUCCESS)
    {
        printf(" *** Error: %s.\n", tsync_strerror(err));
        return TPRO_COMM_ERR;
    }

    return (TPRO_SUCCESS);
  }
