
  /**
  ***  determine the board type and emulate legacy
  ***  call if needed
  **/

  tpro_boolean_t bIsTsync;
  CHECK(TPRO_boardIsTsync(hnd, &bIsTsync),
        TPRO_SUCCESS);
  
  if(bIsTsync == TPRO_TRUE)
  {
    TSYNC_GPOSquareObj pObj;
    pObj.off = 0;

    TSYNC_ERROR err = TSYNC_SUCCESS;

    if (*freq < 1)  // turn off GPIO 0 if "freq" set to "0"
       {

        err = (err == TSYNC_SUCCESS) ?
              TSYNC_GO_setMode((TSYNC_BoardHandle) hnd, OD_PIN_0,
                                                 OD_MODE_DIRECT) : err;
        err = (err == TSYNC_SUCCESS) ?
              TSYNC_GO_setDvmValue((TSYNC_BoardHandle) hnd, OD_PIN_0,
                                                              0) : err;
        err = (err == TSYNC_SUCCESS) ?
        TSYNC_GO_setEnable((TSYNC_BoardHandle) hnd, OD_PIN_0, 0) : err;
       }
 
    else
       {
        pObj.ae  = EDGE_RISING;

        switch (*freq)
        {
        case OSC_OUT_1KHZ:
             {
              pObj.per = 1000000 ;
              pObj.pw  = 500000;
              break;
             }
             
        case OSC_OUT_1MHZ:
             {
              pObj.per = 1000 ;
              pObj.pw  = 500;
              break;
             }
             
        case OSC_OUT_5MHZ:
             {
              pObj.per = 200 ;
              pObj.pw  = 100;
              break;
             }
             
        case OSC_OUT_10MHZ:
             {
              pObj.per = 100 ;
              pObj.pw  = 50;
              break;
             }
         
        default:    
             return TPRO_FREQ_ERR;
        }


        err = (err == TSYNC_SUCCESS) ?
              TSYNC_GO_setMode((TSYNC_BoardHandle) hnd, OD_PIN_0,
                                             OD_MODE_SQUARE_WAVE) : err;
        err = (err == TSYNC_SUCCESS) ?
              TSYNC_GO_setSquareWave((TSYNC_BoardHandle) hnd, OD_PIN_0, &pObj) : err;
        err = (err == TSYNC_SUCCESS) ?
              TSYNC_GO_setEnable((TSYNC_BoardHandle) hnd, OD_PIN_0, 1) : err;
       }


    if (err != TSYNC_SUCCESS)
       {
        printf(" *** Error: %s.\n", tsync_strerror(err));
        return TPRO_COMM_ERR;
       }
    
    return (TPRO_SUCCESS);
   }
