
  /**
  ***  determine the board type and emulate legacy
  ***  call if needed
  **/

  tpro_boolean_t bIsTsync;
  CHECK(TPRO_boardIsTsync(hnd, &bIsTsync),
        TPRO_SUCCESS);
  
  if(bIsTsync == TPRO_TRUE)
  {
    TSYNC_TimeObj pObj;
    
    //gotta call get time to find out the year, since the caller can't set it
    TSYNC_CS_getTime((TSYNC_BoardHandle) hnd, &pObj);
    
    //pObj.years = 2008;
    pObj.doy = Timep->days;
    pObj.hours = Timep->hours;
    pObj.minutes = Timep->minutes;
    pObj.seconds = Timep->seconds;
    pObj.ns = 0;
    
    TSYNC_ERROR err = TSYNC_CS_setTime((TSYNC_BoardHandle) hnd, &pObj);
    if (err != TSYNC_SUCCESS)
    {
        printf(" *** Error: %s.\n", tsync_strerror(err));
        return TPRO_COMM_ERR;
    }
    
    return (TPRO_SUCCESS);
  }
