#include <sys/ioctl.h>
#include <stdio.h>
#include <tpro.h>
#include <ddtpro.h>

#include "tpro_macros.h"
#include "tpro_capabilities.h"
#include "tsync.h"
#include "tpro_date_time.h"

/*==========================================================================
  TPRO_getDate
==========================================================================*/

unsigned char TPRO_getDate (TPRO_BoardObj *hnd, TPRO_DateObj *Datep)
{
  int err;

  DateObj Date;

  tpro_boolean_t boardSupportsGregorianDate;

  // make sure we have valid handle
  if (hnd == NULL) {
    return (TPRO_HANDLE_ERR);
  }

  /**
  ***  determine the board type and emulate legacy
  ***  call if needed
  **/

  #define DATEOBJ_NAME Datep
  #include "tpro_legacy_getdate.h"
  #undef DATEOBJ_NAME

  CHECK(TPRO_boardSupportsGregorianDate(hnd, &boardSupportsGregorianDate), TPRO_SUCCESS);
  if (boardSupportsGregorianDate != TPRO_TRUE) {
      return (TPRO_INVALID_BOARD_TYPE_ERR);
  }


  /**
  ***  create I/O control returns nonzero on success
  **/

  err = ioctl(hnd->file_descriptor, IOCTL_TPRO_GET_DATE, &Date);
  if (err < 0)	return (TPRO_COMM_ERR);


  /**
  ***  fill-in users context
  **/

  Datep->year  = Date.year;
  Datep->month = Date.month;
  Datep->day   = Date.day;


  return (TPRO_SUCCESS);
}
