#include <sys/ioctl.h>
#include <sys/file.h>
#include <sys/types.h>
#include <fcntl.h>
#include <stdio.h>
#include <ddtpro.h>
#include <tpro.h>


/*==========================================================================
  TPRO_getDriver
==========================================================================*/

unsigned char TPRO_getDriver (TPRO_BoardObj *hnd, char *driver)
{

  /**
  *** verify valid string buffer
  **/

  if ((hnd == NULL) || (driver == NULL)) {
    return (TPRO_HANDLE_ERR);
  }


  /**
  ***  copy driver version
  **/

  if (ioctl (hnd->file_descriptor, IOCTL_TPRO_GET_DRIVER, driver) < 0) {
    return (TPRO_COMM_ERR);
  } 

  return (TPRO_SUCCESS);
}
