#include <sys/ioctl.h>
#include <sys/file.h>
#include <sys/types.h>
#include <fcntl.h>
#include <stdio.h>
#include <ddtpro.h>
#include <tpro.h>
#include <string.h>

#include "tpro_macros.h"
#include "tpro_capabilities.h"
#include "tsync.h"

/*==========================================================================
  TPRO_getFirmware
==========================================================================*/

unsigned char TPRO_getFirmware (TPRO_BoardObj *hnd, char *firmware)
{

  /**
  *** verify valid string buffer
  **/

  if ((hnd == NULL) || (firmware == NULL)) {
    return (TPRO_HANDLE_ERR);
  }

  /**
  ***  determine the board type and emulate legacy
  ***  call if needed
  **/

  #include "tpro_legacy_getfirmware.h"

  /**
  ***  get firmware from device
  **/

  if (ioctl (hnd->file_descriptor, IOCTL_TPRO_GET_FIRMWARE, firmware) < 0) {
    return (TPRO_COMM_ERR);
  }

  return (TPRO_SUCCESS);
}
