#include <sys/ioctl.h>
#include <stdio.h>
#include <tpro.h>
#include <ddtpro.h>


/*==========================================================================
  TPRO_peek
==========================================================================*/

unsigned char TPRO_peek (TPRO_BoardObj *hnd, TPRO_MemObj *pMem)
{
  int err;


  // make sure we have valid handle
  if (hnd == NULL) {
    return (TPRO_HANDLE_ERR);
  }

  /**
  ***  verify offset
  **/

  if ((hnd->options == 0x9150) ||
      (hnd->options == 0x9151) ||
      (hnd->options == 0x9152) ||
      (hnd->options == 0x9153) ||
      (hnd->options == 0x9170) ||
      (hnd->options == 0x9172))
  {
      /* limit access to the register space and only on 4 byte increments */
      if ((pMem->offset > 0x20) || 
	  ((pMem->offset % 4) != 0))
      {
	  return (TPRO_COMM_ERR);
      }
  }
  else
  {
      if (pMem->offset > 0x12) 
      {
	  return (TPRO_COMM_ERR);
      }
  }


  /**
  ***  create I/O control
  **/

  err = ioctl(hnd->file_descriptor, IOCTL_TPRO_PEEK, pMem);


  /**
  ***  return error condition
  **/

  if (err < 0)	return (TPRO_COMM_ERR);

  return (err);
}
