#include <unistd.h>
#include <sys/ioctl.h>
#include <stdio.h>
#include <tpro.h>
#include <ddtpro.h>

#include "tpro_macros.h"
#include "tpro_capabilities.h"
#include "tsync.h"

/*==========================================================================
  TPRO_resetFirmware
==========================================================================*/

unsigned char TPRO_resetFirmware (TPRO_BoardObj *hnd)
{
  int err;

  // make sure we have valid handle
  if (hnd == NULL) {
    return (TPRO_HANDLE_ERR);
  }

  /**
  ***  determine the board type and emulate legacy
  ***  call if needed
  **/

  #define HANDLE_NAME hnd
  #include "tpro_legacy_resetfirmware.h"
  #undef HANDLE_NAME
  
  /**
  ***  create I/O control
  **/

  err = ioctl(hnd->file_descriptor, IOCTL_TPRO_RESET_FIRMWARE, NULL);
  err = (err < 0) ? TPRO_COMM_ERR : TPRO_SUCCESS;

  /**
  ***  wait for 10 seconds for firmware to reset
  **/

  if (err == TPRO_SUCCESS) sleep (10);

  return (err);
}
